## ros-melodic-rokubimini-ethercat 0.5.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(rokubimini_ethercat)
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
add_definitions(-std=c++14 -Wall -Werror)

if(CMAKE_COMPILER_IS_GNUCXX) 
  if (CMAKE_CXX_COMPILER_VERSION VERSION_GREATER 7.0) 
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -faligned-new")
  endif() 
endif() 

set(PACKAGE_DEPENDENCIES
  rokubimini
  rokubimini_bus_manager
  rokubimini_msgs
  soem
)

find_package(catkin REQUIRED
  COMPONENTS
    ${PACKAGE_DEPENDENCIES}
)

catkin_package(
  INCLUDE_DIRS
    include
  LIBRARIES
    ${PROJECT_NAME}
  CATKIN_DEPENDS
    ${PACKAGE_DEPENDENCIES}
)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

add_library(
  ${PROJECT_NAME}
  src/${PROJECT_NAME}/setup/RokubiminiEthercat.cpp
  src/${PROJECT_NAME}/RokubiminiEthercat.cpp
  src/${PROJECT_NAME}/RokubiminiEthercatBusManager.cpp
  src/${PROJECT_NAME}/RokubiminiEthercatSlave.cpp
  src/${PROJECT_NAME}/soem_interface/EthercatBusBase.cpp
  src/${PROJECT_NAME}/soem_interface/EthercatSlaveBase.cpp
  src/${PROJECT_NAME}/soem_interface/common/ThreadSleep.cpp
  src/${PROJECT_NAME}/soem_interface/examples/ExampleSlave.cpp
)

add_dependencies(
  ${PROJECT_NAME}
  ${catkin_EXPORTED_TARGETS}
)


target_link_libraries(
  ${PROJECT_NAME}
  ${catkin_LIBRARIES}
)
  
add_executable(
  ${PROJECT_NAME}_soem_interface_example
  src/${PROJECT_NAME}/soem_interface/examples/example_slave.cpp
)
add_dependencies(
  ${PROJECT_NAME}_soem_interface_example
  ${PROJECT_NAME}
  ${catkin_EXPORTED_TARGETS}
)
target_link_libraries(
  ${PROJECT_NAME}_soem_interface_example
  ${PROJECT_NAME}
  ${catkin_LIBRARIES}
)

install(TARGETS ${PROJECT_NAME} ${PROJECT_NAME}_soem_interface_example
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

=== debian/changelog ===
ros-melodic-rokubimini-ethercat (0.5.8-1stretch) stretch; urgency=high

  * Release 0.5.7 into master
  * add condition for adding -faligned-new flag in GCC
  * Contributors: Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Thu, 12 Nov 2020 22:00:00 -0000

ros-melodic-rokubimini-ethercat (0.5.7-1stretch) stretch; urgency=high

  * Fix gcc error for extended alignment
  * Release master 0.5.6
  * change minimum cmake version required to 3.0.2
  * Support clang format 8
  * Contributors: Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Tue, 03 Nov 2020 22:00:00 -0000

ros-melodic-rokubimini-ethercat (0.5.6-1stretch) stretch; urgency=high

  * Merge branch 'fix/cmake-policy-cmp0048' into 'master'
    change minimum cmake version required to 3.0.2
    Closes #29
    See merge request botasys/bota_driver!66
  * change minimum cmake version required to 3.0.2
  * Support clang format 8
  * Contributors: Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Mon, 02 Nov 2020 22:00:00 -0000

ros-melodic-rokubimini-ethercat (0.5.5-1stretch) stretch; urgency=high

  * Merge branch 'release/0.5.4' into 'melodic-devel'
    Release 0.5.4
    See merge request botasys/bota_driver!54
  * Release 0.5.4
  * Merge branch 'release/0.5.3' into 'melodic-devel'
    Release 0.5.3
    See merge request botasys/bota_driver!52
  * Release 0.5.3
  * merge release 0.5.2 into melodic-devel
  * Contributors: Mike Karam, Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Sun, 01 Nov 2020 22:00:00 -0000

ros-melodic-rokubimini-ethercat (0.5.4-1stretch) stretch; urgency=high

  * Merge branch 'release/0.5.3' into 'melodic-devel'
    Release 0.5.3
    See merge request botasys/bota_driver!52 <https://gitlab.com/botasys/bota_driver/-/merge_requests/52>
  * Release 0.5.3
  * merge release 0.5.2 into melodic-devel
  * Contributors: Mike Karam, Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Fri, 30 Oct 2020 22:00:00 -0000

ros-melodic-rokubimini-ethercat (0.5.3-1stretch) stretch; urgency=high

  * merge release 0.5.2 into melodic-devel
  * Contributors: Mike Karam

 -- Bota Systems AG <sw-support@botasys.com>  Thu, 29 Oct 2020 22:00:00 -0000

ros-melodic-rokubimini-ethercat (0.5.2-1stretch) stretch; urgency=high

  * Merge branch 'feature/increment-patch-version' into 'master'
    Increment patch version
    See merge request botasys/bota_driver!48 <https://gitlab.com/botasys/bota_driver/-/merge_requests/48>
  * Increment patch version
  * Merge branch 'feature/remove-any-node-dep' into 'master'
    Remove any_node dependency
    See merge request botasys/bota_driver!47 <https://gitlab.com/botasys/bota_driver/-/merge_requests/47>
  * Remove any_node dependency
  * Contributors: Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Wed, 28 Oct 2020 22:00:00 -0000

ros-melodic-rokubimini-ethercat (0.5.1-1stretch) stretch; urgency=high

  * Merge branch 'feature/remove-any-node-dep' into 'master'
    Remove any_node dependency
    See merge request botasys/bota_driver!47
  * Remove any_node dependency
  * Contributors: Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Mon, 26 Oct 2020 22:00:00 -0000

ros-melodic-rokubimini-ethercat (0.5.0-1stretch) stretch; urgency=high

  * Merge branch 'feature/remove-redundant-ethercat-pdos'
  * Merge branch 'feature/move-publishers-to-instances'
  * Merge branch 'feature/remove-message-logger-dependency'
  * revert some changes
  * Merge branch 'fix/fix-flag-isforcetorquesaturated'
  * remove message_logger from docs + CI
  * fix clang format
  * Merge branch 'feature/fix-catkin-make' into 'master'
    Fix broken catkin_make
  * Fix broken catkin_make
  * Merge branch 'feature/publish-frame-id' into 'master'
    Add frame_id in published data
  * Merge branch 'feature/rename-project' into 'master'
    Rename project to bota_driver
  * add frame_id in published data
  * Merge branch 'feature/remove-yaml-tools-dep' into 'master'
    Remove yaml tools dependency
  * Merge branch 'feature/remove-cosmo-dependency' into 'master'
    Remove all dependencies apart from yaml_tools
  * Merge branch 'feature/add-init-step-serial'
  * Merge branch 'feature/save-config-parameter'
  * remove redundant file
  * add STATUS check
  * Merge branch 'feature/add-temperature-serial'
  * Merge branch 'feature/add-si-units-imu'
  * add temperature publishing functionality. tested locally
  * add first implementation. works on Serial, but it's still WIP
  * fix clang format
  * add changes to every PdoType
  * add conversion to SI units for IMU data
  * Merge branch 'feature/remove-command-from-repo' into 'master'
    remove Command from repo. Tested locally
  * Merge branch 'feature/change-printed-messages' into 'master'
    Feature/change printed messages
  * Initial commit
    - change [ForceTorqueSensor::device_name] to [device_name] in RokubiminiSerialImpl.cpp
    - add bus name and/or device_name in RokubiminiEthercatSlave, RokubiminiEthercatBusManager and EthercatBusBase.
  * Merge branch 'add-abstract-filters' into 'master'
    Add configuration support in serial devices
  * fix bug in assignment operation of Configuration. replace INIT_MODE with ConnectionState in RokubiminiSerialImpl code
  * Merge branch 'add-linter-test' into 'feature/rokubimini_serial'
    Add linter testing step in CI
  * add clang-formated code. add support for multiple devices in rokubimini_cosmo
  * add doxygen documentation
  * fix CI build
  * remove soem_interface dependancy
  * first abstracted try
  * Merged in feature/temperature_reading (pull request #31)
    add temperature in readings
    Approved-by: Johannes Pankert <mailto:johannes@pankert.eu>
  * add temperature in readings
  * remove redundant orientation. Imu has quaternion
  * Merged in feature/publish_standard_ros_msgs (pull request #29)
    remove redundant orientation. Imu has quaternion
    Approved-by: Johannes Pankert <mailto:johannes@pankert.eu>


=== debian/control ===
Source: ros-melodic-rokubimini-ethercat
Section: misc
Priority: optional
Maintainer: Bota Systems AG <sw-support@botasys.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-rokubimini, ros-melodic-rokubimini-bus-manager, ros-melodic-rokubimini-msgs, ros-melodic-soem
Homepage: https://gitlab.com/botasys/bota_driver
Standards-Version: 3.9.2

Package: ros-melodic-rokubimini-ethercat
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-rokubimini, ros-melodic-rokubimini-bus-manager, ros-melodic-rokubimini-msgs, ros-melodic-soem
Description: Rokubimini Ethercat implementation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-rokubimini-ethercat//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-rokubimini-ethercat 0.6.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(rokubimini_ethercat)
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
add_definitions(-std=c++14 -Wall -Werror)

if(CMAKE_COMPILER_IS_GNUCXX) 
  if (CMAKE_CXX_COMPILER_VERSION VERSION_GREATER 7.0) 
    add_definitions(-faligned-new)
  endif() 
endif() 

set(PACKAGE_DEPENDENCIES
  ethercat_grant
  rokubimini
  rokubimini_bus_manager
  rokubimini_msgs
  soem
)

find_package(catkin REQUIRED
  COMPONENTS
    ${PACKAGE_DEPENDENCIES}
)

catkin_package(
  INCLUDE_DIRS
    include
  LIBRARIES
    ${PROJECT_NAME}
  CATKIN_DEPENDS
    ${PACKAGE_DEPENDENCIES}
)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

add_library(
  ${PROJECT_NAME}
  src/${PROJECT_NAME}/RokubiminiEthercat.cpp
  src/${PROJECT_NAME}/RokubiminiEthercatBusManager.cpp
  src/${PROJECT_NAME}/RokubiminiEthercatSlave.cpp
  src/${PROJECT_NAME}/soem_interface/EthercatBusBase.cpp
  src/${PROJECT_NAME}/soem_interface/EthercatSlaveBase.cpp
)

add_dependencies(
  ${PROJECT_NAME}
  ${catkin_EXPORTED_TARGETS}
)


target_link_libraries(
  ${PROJECT_NAME}
  ${catkin_LIBRARIES}
)

add_executable(${PROJECT_NAME}_bus_manager_node src/${PROJECT_NAME}/${PROJECT_NAME}_bus_manager_node.cpp)
add_dependencies(${PROJECT_NAME}_bus_manager_node ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME}_bus_manager_node
   ${PROJECT_NAME}
   ${catkin_LIBRARIES}
)

install(TARGETS ${PROJECT_NAME} ${PROJECT_NAME}_bus_manager_node
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION} 
)

install(DIRECTORY include/${PROJECT_NAME}/
DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-melodic-rokubimini-ethercat (0.6.1-1bionic) bionic; urgency=high

  * Feature/ethercat grant
  * add missing files in install space
  * fix S/N wrongly displayed in ethercat
  * Show serial number in boot
  * Contributors: Ilias Patsiaouras, Lefteris Kotsonis, Martin, Martin Wermelinger, Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Mon, 27 Sep 2021 21:00:00 -0000

ros-melodic-rokubimini-ethercat (0.6.0-1bionic) bionic; urgency=high

  * Fix - mean wrench before reset
  * New launch interface - the topology is in the launch file
  * Fix bugs
  * Contributors: Ilias Patsiaouras, Lefteris Kotsonis, Martin, Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Mon, 21 Jun 2021 21:00:00 -0000

ros-melodic-rokubimini-ethercat (0.5.9-1bionic) bionic; urgency=high

  * add url to wiki
  * Move soem_interface to rokubimini namespace.
  * Feature - add reset services
  * Feature - add firmware update
  * Separated adapter from urdf and changed publishing topic names in bota_driver.
  * fix catkin_lint warning: variable CMAKE_CXX_FLAGS is modified
  * Contributors: Ilias Patsiaouras, Lefteris Kotsonis, Martin, Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Fri, 05 Feb 2021 22:00:00 -0000

ros-melodic-rokubimini-ethercat (0.5.8-1bionic) bionic; urgency=high

  * Release 0.5.7 into master
  * add condition for adding -faligned-new flag in GCC
  * Contributors: Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Thu, 12 Nov 2020 22:00:00 -0000

ros-melodic-rokubimini-ethercat (0.5.7-1bionic) bionic; urgency=high

  * Fix gcc error for extended alignment
  * Release master 0.5.6
  * change minimum cmake version required to 3.0.2
  * Support clang format 8
  * Contributors: Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Tue, 03 Nov 2020 22:00:00 -0000

ros-melodic-rokubimini-ethercat (0.5.6-1bionic) bionic; urgency=high

  * Merge branch 'fix/cmake-policy-cmp0048' into 'master'
    change minimum cmake version required to 3.0.2
    Closes #29
    See merge request botasys/bota_driver!66
  * change minimum cmake version required to 3.0.2
  * Support clang format 8
  * Contributors: Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Mon, 02 Nov 2020 22:00:00 -0000

ros-melodic-rokubimini-ethercat (0.5.5-1bionic) bionic; urgency=high

  * Merge branch 'release/0.5.4' into 'melodic-devel'
    Release 0.5.4
    See merge request botasys/bota_driver!54
  * Release 0.5.4
  * Merge branch 'release/0.5.3' into 'melodic-devel'
    Release 0.5.3
    See merge request botasys/bota_driver!52
  * Release 0.5.3
  * merge release 0.5.2 into melodic-devel
  * Contributors: Mike Karam, Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Sun, 01 Nov 2020 22:00:00 -0000

ros-melodic-rokubimini-ethercat (0.5.4-1bionic) bionic; urgency=high

  * Merge branch 'release/0.5.3' into 'melodic-devel'
    Release 0.5.3
    See merge request botasys/bota_driver!52 <https://gitlab.com/botasys/bota_driver/-/merge_requests/52>
  * Release 0.5.3
  * merge release 0.5.2 into melodic-devel
  * Contributors: Mike Karam, Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Fri, 30 Oct 2020 22:00:00 -0000

ros-melodic-rokubimini-ethercat (0.5.3-1bionic) bionic; urgency=high

  * merge release 0.5.2 into melodic-devel
  * Contributors: Mike Karam

 -- Bota Systems AG <sw-support@botasys.com>  Thu, 29 Oct 2020 22:00:00 -0000

ros-melodic-rokubimini-ethercat (0.5.2-1bionic) bionic; urgency=high

  * Merge branch 'feature/increment-patch-version' into 'master'
    Increment patch version
    See merge request botasys/bota_driver!48 <https://gitlab.com/botasys/bota_driver/-/merge_requests/48>
  * Increment patch version
  * Merge branch 'feature/remove-any-node-dep' into 'master'
    Remove any_node dependency
    See merge request botasys/bota_driver!47 <https://gitlab.com/botasys/bota_driver/-/merge_requests/47>
  * Remove any_node dependency
  * Contributors: Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Wed, 28 Oct 2020 22:00:00 -0000

ros-melodic-rokubimini-ethercat (0.5.1-1bionic) bionic; urgency=high

  * Merge branch 'feature/remove-any-node-dep' into 'master'
    Remove any_node dependency
    See merge request botasys/bota_driver!47
  * Remove any_node dependency
  * Contributors: Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Mon, 26 Oct 2020 22:00:00 -0000

ros-melodic-rokubimini-ethercat (0.5.0-1bionic) bionic; urgency=high

  * Merge branch 'feature/remove-redundant-ethercat-pdos'
  * Merge branch 'feature/move-publishers-to-instances'
  * Merge branch 'feature/remove-message-logger-dependency'
  * revert some changes
  * Merge branch 'fix/fix-flag-isforcetorquesaturated'
  * remove message_logger from docs + CI
  * fix clang format
  * Merge branch 'feature/fix-catkin-make' into 'master'
    Fix broken catkin_make
  * Fix broken catkin_make
  * Merge branch 'feature/publish-frame-id' into 'master'
    Add frame_id in published data
  * Merge branch 'feature/rename-project' into 'master'
    Rename project to bota_driver
  * add frame_id in published data
  * Merge branch 'feature/remove-yaml-tools-dep' into 'master'
    Remove yaml tools dependency
  * Merge branch 'feature/remove-cosmo-dependency' into 'master'
    Remove all dependencies apart from yaml_tools
  * Merge branch 'feature/add-init-step-serial'
  * Merge branch 'feature/save-config-parameter'
  * remove redundant file
  * add STATUS check
  * Merge branch 'feature/add-temperature-serial'
  * Merge branch 'feature/add-si-units-imu'
  * add temperature publishing functionality. tested locally
  * add first implementation. works on Serial, but it's still WIP
  * fix clang format
  * add changes to every PdoType
  * add conversion to SI units for IMU data
  * Merge branch 'feature/remove-command-from-repo' into 'master'
    remove Command from repo. Tested locally


=== debian/control ===
Source: ros-melodic-rokubimini-ethercat
Section: misc
Priority: optional
Maintainer: Bota Systems AG <sw-support@botasys.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-ethercat-grant, ros-melodic-rokubimini, ros-melodic-rokubimini-bus-manager, ros-melodic-rokubimini-msgs, ros-melodic-soem
Homepage: http://wiki.ros.org/bota_driver
Standards-Version: 3.9.2

Package: ros-melodic-rokubimini-ethercat
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-ethercat-grant, ros-melodic-rokubimini, ros-melodic-rokubimini-bus-manager, ros-melodic-rokubimini-msgs, ros-melodic-soem
Description: Rokubimini Ethercat implementation.
